<div fxFlex class="page-container">
  <div class="pt-15 pb-15" fxLayout="row" fxLayoutAlign="center center">
    <app-player-board
      [activeIndex]="activePlayerIndex$ | async"
      [players]="players$ | async"
    ></app-player-board>
  </div>
  <div
    class="game-container"
    *ngIf="activeCard$ | async as activeCard"
    fxLayout="column"
    fxLayoutAlign="start center"
  >
    <app-king-counter class="mb-25" [kings]="kings$ | async"></app-king-counter>
    <div
      class="card-container"
      fxLayout.xs="column"
      fxLayout="row"
      fxFlex="noshrink"
      fxLayoutAlign="center center"
    >
      <div fxFlex.gt-xs="50" fxLayout="column" fxLayoutAlign="center center">
        <app-card
          (click)="drawCard()"
          (dblclick)="$event.stopPropagation(); $event.preventDefault()"
          [card]="activeCard"
        ></app-card>

        <!-- <p class="card-count">noch {{ remainingCards$ | async }} Karten</p> -->
      </div>
      <app-card-text
        fxFlex.gt-xs="50"
        class="mt-25 mr-25 ml-25"
        [card]="activeCard"
      ></app-card-text>
    </div>
    <mat-chip-list class="mt-10 mb-10">
      <mat-chip>noch {{ remainingCards$ | async }} Karten</mat-chip>
    </mat-chip-list>
  </div>
</div>
